{% extends 'site_base.html' %}
{% load static %}
{% load crispy_forms_tags %}

{% block content %}

<div class="box box-primary">
    <head>
        <title>{% block title %}{% if item %} Edit Inventory {% else %} Create Inventory {% endif %} {% endblock %}</title>
    </head>
    <div class="box-header with-border">
        <span id="btn-back" class="glyphicon glyphicon-circle-arrow-left"></span>
        {% if item %}
        <h3 class="box-title"><p>Edit Inventory</p></h3>
        {% else %}
        <h3 class="box-title"><p>Create Inventory</p></h3>
        {% endif %}
    </div>


    <form id="myForm" method="post" novalidate>
        {% csrf_token %}
        <div class="box-body">

            <div class="form-group col-md-12 col-sm-12">
                <label for="id_warehouse_code" class="control-label ">
                    Warehouse Code<span class="asteriskField">*</span>
                </label>
                <div class="controls">

                    <!--<input id="id_warehouse_code" type="text" name="warehouse_code" value="{{ item.warehouse }}"-->
                       <!--class="textinput textInput form-control" required>-->
                    <input type="hidden" name="brand" id="txtbrand1">
                    <select name="warehouse_code" id="id_warehouse_code" class="textinput textInput form-control" required>
                        <option value="">---------</option>
                        {% for product in warehouses %}
                        <option {% if item.warehouse == product.warehouse_code %}selected{% endif %} value="{{product.pk}}">{{product.warehouse_code}}({{product.city}} {{product.state}})</option>
                        {% endfor %}
                    </select>
                </div>
            </div>

            <!--<div class="form-group col-md-12 col-sm-12">-->
                <!--<label for="city" class="control-label ">City</label>-->
                <!--<input id="city" type="text" name="city" value="{{ item.city }}"-->
                       <!--class="textinput textInput form-control">-->
            <!--</div>-->

            <div class="form-group col-md-12 col-sm-12">
                <label class="control-label ">SKU Code*</label>
                <div class="controls">
                    <input type="hidden" name="brand" id="txtbrand">
                    <select name="sku_code" id="id_sku_code" class="textinput textInput form-control" required>
                        <option value="">---------</option>
                        {% for product in products %}
                        <option {% if item.product == product.pk %}selected{% endif %} value="{{product.pk}}">{{product.sku_code}}</option>
                        {% endfor %}
                    </select>
                </div>
            </div>

            <div class="form-group col-md-12 col-sm-12">
                <label for="saleable_stock" class="control-label ">Sellable Stock</label>
                <input id="saleable_stock" type="text" name="saleable_stock" value='{{ item.stock_in|floatformat:"0" }}'
                       class="textinput textInput form-control inputNumber">
            </div>

            <div class="form-group col-md-12 col-sm-12">
                <label for="nonsaleable_stock" class="control-label ">Non-Sellable Stock</label>
                <input id="nonsaleable_stock" type="text" name="nonsaleable_stock" value='{{ item.stock_out|floatformat:"0" }}'
                       class="textinput textInput form-control inputNumber">
            </div>

            <div class="form-group col-md-12 col-sm-12">
                <label for="minimum_stock_level" class="control-label ">
                    Min Stock Level<span class="asteriskField">*</span>
                </label>
                <input id="minimum_stock_level" type="text" min="0" name="minimum_stock_level" value='{{ item.min_stock|floatformat:"0" }}'
                       class="textinput textInput form-control inputNumber" required>
            </div>

            <div class="form-group col-md-12 col-sm-12 text-right">
                <input type="submit" value="Submit" class="btn btn-primary"/>
            </div>

        </div>
    </form>
</div>

{% endblock %}

{% block extra_script_block %}
    {{block.super}}
    <script>
        $(document).ready(function(){
            $('select').select2();
           
            $('#txtbrand').val($("#top_brand").val());

            $(".inputNumber").keypress(function (e) {

                if (e.which != 8 && e.which != 0 && (e.which < 48 || e.which > 57)) {
                    // ('#minimum_stock_level').parent().parent().addClass('has-error')
                    // $('#error_1_minimum_stock_level').remove();
                    // $('#minimum_stock_level').parent().append('<p id="error_1_minimum_stock_level" class="help-block"><strong>This field not contain nigative value.</strong></p>');
                    return false;
                }
            });
                 
            $("#myForm").submit(function(event) {
                var flag = false;

                if($('#id_sku_code').val() != "" && $("#warehouse_code").val() != "" && $("#minimum_stock_level").val() != "") {
                    if($("#saleable_stock").val() != "" || $("#nonsaleable_stock").val() != "")
                        flag = true;
                }

                if($('#id_warehouse_code').val() == ""){
                    $('#id_warehouse_code').parent().parent().addClass('has-error')
                    $('#error_1_id_warehouse_code').remove();
                    $('#id_warehouse_code').parent().append('<p id="error_1_id_warehouse_code" class="help-block"><strong>This field is required.</strong></p>');
                }
                else {
                    $('#id_warehouse_code').parent().parent().removeClass('has-error')
                    $('#error_1_id_warehouse_code').remove();
                }

                if($('#id_sku_code').val() == ""){
                    $('#id_sku_code').parent().parent().addClass('has-error')
                    $('#error_1_id_sku_code').remove();
                    $('#id_sku_code').parent().append('<p id="error_1_id_sku_code" class="help-block"><strong>This field is required.</strong></p>');
                }
                else {
                    $('#id_sku_code').parent().parent().removeClass('has-error')
                    $('#error_1_id_sku_code').remove();
                }

                if($('#minimum_stock_level').val() == ""){
                    $('#minimum_stock_level').parent().addClass('has-error')
                    $('#error_1_minimum_stock_level').remove();
                    $('#minimum_stock_level').parent().append('<p id="error_1_minimum_stock_level" class="help-block"><strong>This field is required.</strong></p>');
                }
                else {
                    $('#minimum_stock_level').parent().removeClass('has-error')
                    $('#error_1_minimum_stock_level').remove();
                }


                if($('#saleable_stock').val() == "" && $('#nonsaleable_stock').val() == "") {

                    if($('#saleable_stock').val() == ""){
                        $('#saleable_stock').parent().addClass('has-error')
                        $('#error_1_saleable_stock').remove();
                        $('#saleable_stock').parent().append('<p id="error_1_saleable_stock" class="help-block"><strong>This field is required.</strong></p>');
                    }
                    else {
                        $('#saleable_stock').parent().removeClass('has-error')
                        $('#error_1_saleable_stock').remove();
                    }

                    if($('#nonsaleable_stock').val() == ""){
                        $('#nonsaleable_stock').parent().addClass('has-error')
                        $('#error_1_nonsaleable_stock').remove();
                        $('#nonsaleable_stock').parent().append('<p id="error_1_nonsaleable_stock" class="help-block"><strong>This field is required.</strong></p>');
                    }
                    else {
                        $('#nonsaleable_stock').parent().removeClass('has-error')
                        $('#error_1_nonsaleable_stock').remove();
                    }
                }
                else {
                    $('#saleable_stock').parent().removeClass('has-error')
                    $('#error_1_saleable_stock').remove();

                    $('#nonsaleable_stock').parent().removeClass('has-error')
                    $('#error_1_nonsaleable_stock').remove();
                }
                return flag;
            });
        });
    </script>
{% endblock %}